=== modified file 'NEWS'
--- NEWS	2010-04-02 15:10:54 +0000
+++ NEWS	2010-04-16 12:59:03 +0000
@@ -39,6 +39,11 @@
 Internals
 *********
 
+* Allow bzr to run under ``python -OO`` which reduces the size of bytecode
+  files loaded from disk. To ensure docstrings needed for help are never
+  stripped, the prefix ``__doc__ =`` should now be used.
+  (Martin <gzlist@googlemail.com>)
+
 Testing
 *******
 

=== modified file 'bzrlib/plugins/netrc_credential_store/__init__.py'
--- bzrlib/plugins/netrc_credential_store/__init__.py	2009-04-10 18:56:00 +0000
+++ bzrlib/plugins/netrc_credential_store/__init__.py	2010-04-16 12:59:03 +0000
@@ -14,7 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-"""Use ~/.netrc as a credential store for authentication.conf."""
+__doc__ = """Use ~/.netrc as a credential store for authentication.conf."""
 
 # Since we are a built-in plugin we share the bzrlib version
 from bzrlib import version_info

=== modified file 'bzrlib/plugins/news_merge/__init__.py'
--- bzrlib/plugins/news_merge/__init__.py	2010-01-28 17:27:16 +0000
+++ bzrlib/plugins/news_merge/__init__.py	2010-04-16 12:59:03 +0000
@@ -14,7 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-"""Merge hook for bzr's NEWS file.
+__doc__ = """Merge hook for bzr's NEWS file.
 
 To enable this plugin, add a section to your branch.conf or location.conf
 like::

=== modified file 'doc/developers/HACKING.txt'
--- doc/developers/HACKING.txt	2010-03-30 07:29:56 +0000
+++ doc/developers/HACKING.txt	2010-04-16 12:59:03 +0000
@@ -1053,7 +1053,8 @@
 and on other help topics.  (See ``help_topics.py``.)
 
 As for python docstrings, the first paragraph should be a single-sentence
-synopsis of the command.
+synopsis of the command. These are user-visible and should be prefixed with
+``__doc__ =`` so help works under ``python -OO`` with docstrings stripped.
 
 The help for options should be one or more proper sentences, starting with
 a capital letter and finishing with a full stop (period).

=== modified file 'doc/developers/plugin-api.txt'
--- doc/developers/plugin-api.txt	2010-02-23 03:18:56 +0000
+++ doc/developers/plugin-api.txt	2010-04-16 12:59:03 +0000
@@ -186,9 +186,8 @@
 short complete sentence summarizing the plugin.  The full docstring is
 shown by ``bzr help PLUGIN_NAME``.
 
-Remember that to be effective, the module docstring must be the first
-statement in the file.  It may come after comments but it must be before
-any import statements.
+This is a user-visible docstring so should be prefixed with ``__doc__ =``
+to ensure help works under ``python -OO`` with docstrings stripped.
 
 API version
 -----------

